blog4

Ukončenie PHP verzií 5.6 a 7.0 a čo to znamená pre Prestashop a WordPress?

S rokom 2018 končí aj podpora PHP 5.6 a aj PHP 7.0. PHP 5.6 sa používa už od roku 2004 a končí tak éra asi najpoužívanejšej verzie PHP.  Verzia 7.0 sa používa od roku 2016.

 

Väčšina majiteľov webou alebo eshopov ani nevie akú verziu PHP váš server požíva a túto informáciu považuje za zbytočnú, ale tu vás chcem vystríhať, musíte tomuto venovať pozornosť, lebo po skončení podphp-grafpory týchto verzií začnú postupne vypínať prevádzku týchto PHP verzií poskytovatelia hostingu. A to sa vás už môže citeľne dotknúť. Najväčší poskytovateľ firma websuport ohlásil koniec poskytovania PHP 7.0 na apríl 2019 a verziu 5.6 niekedy v rokoch 2020/2021. Obdobne môžu postupovať aj ostatný poskytovatelia hostingov, aj keď nemusia. Čiže je ideálne v blízkej budúcnosti sledovať informácie od vášho poskytovateľa, prípadne sa obrátiť na neho ako dlho bude podporovaná veria PHP, ktorú aktuálne požívate.

 

Ako sa vysporiadať so zmenou PHP?  Záleží od hostingu a vášho systému.

 

Prestashop a ukončenie PHP 5.6 a 7.0

Prestashop do verzie 1.6.1.18 nepodporuje PHP 7, takže ak budete chcieť  v budúcnosti prejísť na PHP 7.1 alebo 7.2 budete musieť aktualizovať systém na minimálne 1.6.1.22, kde sú už vychytané muchy s verziu PHP 7. Ak vás hosting ukončí podporu verzií 5.6, na ktorej funguje 80-90% a vy bude používať verziu Prestashopu nižšiu ako 1.6.18, vás eshop prestane fungovať. Preto treba aktualizáciu riešiť ešte pred ukončením podpory zo strany hostingu.  Aktualizácia Prestashop nie je vždy jednoduchá vec, skôr by som povedal opak, že už málo kedy prejde automatická aktualizácia a vyžaduje si to viacej času a financií.

 

WordPress a ukončenie PHP 5.6 a 7.0

U Wordpresu je to jednoduchšie. Aktualizácie vám systém buď robí automaticky, ale ak aj nie pri aktualizácií nenastáva toľko problémov ako pri Prestashope. WordPress by mal PHP 7 podporovať rádovo od verzie 4.8 (6/2017). Ak si nie ste istý akú máte verziu, resp či vaša verzia naozaj pracuje s PHP 7 sú tu modulu ako napr tento nižšie, ktorý vám kompatibilitu váš Wordpresu otestuje.

 

PHP Compatibility Checkerhttps://wordpress.org/plugins/php-compatibility-checker/

 

 

Nakoľko sa PHP 5.6 (ale aj 7.0)  bude ešte určite na hostingoch vyskytovať dlhšie, tak nie je dôvod na paniku, ale na koľko je ukončená podpora a hlavne bezpečnostnej podpory, môže sa PHP 5.6 časom stať nie úplne bezpečná. Môže a nemusí.

 

Okrem bezpečnosti PHP verzií, ktorým bude ukončovaná podpora je tu aj faktor efektivity a rýchlosti, kde PHP verzie 7 sú 2-3 x rýchlejšie ako verzia PHP 5.6. PHP 7 zvládajú viac požiadaviek a pracujú efektívnejšie so systémovými prostriedkami.

 

PHP-comparison-results-300x251

 

To či a kedy prejsť na vyššiu verziu PHP je na vás. Určite by som to ale na vašom mieste nenechával na poslednú chvíľu len tesne pred tým ako vám poskytovateľ prestane poskytovať podporu danej verzií PHP. Vyhnete sa tak stresom a prípadne výpadku vašej stránky alebo eshopu.